# NOTE: original package name is flux, but flux.spec is already occupied by fluxlib.org
Summary:	flux - interface description language used by DirectFB
Summary(pl.UTF-8):	flux - język opisu interfejsów używany przez DirectFB
Name:		DirectFB-flux
Version:	1.4.4
Release:	5
License:	MIT
Group:		Development/Tools
Source0:	http://www.directfb.net/downloads/Core/flux/flux-%{version}.tar.gz
# Source0-md5:	49e8c11ea1b7894edfa18dd00cfe419c
URL:		http://www.directfb.net/
BuildRequires:	DirectFB-devel >= 1:1.6.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
Requires:	DirectFB >= 1:1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
flux is an interface description language used by DirectFB.

fluxcomp compiles .flux files to .cpp or .c files.

%description -l pl.UTF-8
flux to język opisu interfejsów używany przez DirectFB.

fluxcomp kompiluje pliki .flux do plików .cpp lub .c.

%prep
%setup -q -n flux-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/fluxcomp
%changelog
* Fri Jul 07 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/DirectFB-flux.git;a=log;h=master

* Fri Jul 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 6c9d618
- release 5 (rebuild with DirectFB 1.7.7)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f824c5c
- release 4 (by relup.sh)

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> 2ff4eee
- rebuild with DirectFB 1.7.2
- release 3 (by relup.sh)

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> f332ce6
- release 2 (by relup.sh)

* Fri Jul 19 2013 Jan Rękorajski <baggins@pld-linux.org> 8012ace
- up to 1.4.4

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> bdd8460
- updated to 1.4.3

* Fri Oct 05 2012 Jakub Bogusz <qboosh@pld-linux.org> d66d104
- updated to 1.4.2

* Tue Jun 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 29fe1b6
- updated to 1.4.1

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> cc8c164
- updated to 1.3.0 (for DirectFB 1.4.17/1.6)

* Sun Apr 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 6922a07
- updated to 1.2.0

* Sun Jan 01 2012 Jakub Bogusz <qboosh@pld-linux.org> b740e39
- require DirectFB 1.4.15 as 1.4.14 had fluxcomp included

* Sun Jan 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 3d4362e
- new

